summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Branko Grubic2010-10-25 04:09:39 +0200
committer Erik Hanson2010-10-25 14:55:10 +0200
commitbd030316e405bbad629125ec71986ce03c08ed3f (patch)
tree32e2f910a23aa2cb274d2412c112d76a3c4cdbce /development
parentb50ce4827f10b0d9a33760dbb1c38a13b02c4c29 (diff)
downloadslackbuilds-bd030316e405bbad629125ec71986ce03c08ed3f.tar.gz
development/wxHexEditor: Added (Free Hex Editor)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/wxHexEditor/README7
-rw-r--r--development/wxHexEditor/doinst.sh14
-rw-r--r--development/wxHexEditor/slack-desc19
-rw-r--r--development/wxHexEditor/wxHexEditor.SlackBuild67
-rw-r--r--development/wxHexEditor/wxHexEditor.info10
5 files changed, 117 insertions, 0 deletions
diff --git a/development/wxHexEditor/README b/development/wxHexEditor/README
new file mode 100644
index 0000000000..0b36b25d17
--- /dev/null
+++ b/development/wxHexEditor/README
@@ -0,0 +1,7 @@
+wxHexEditor is another Hex Editor, build because of there
+is no good hex editor for Linux system, specially for big
+files. It supports files up to 2^64 bytes.
+Written with C++/wxWidgets GUI libs and can be used with
+other OS'es such Windows, Mac OS
+
+This require wxGTK
diff --git a/development/wxHexEditor/doinst.sh b/development/wxHexEditor/doinst.sh
new file mode 100644
index 0000000000..9830478e8c
--- /dev/null
+++ b/development/wxHexEditor/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/development/wxHexEditor/slack-desc b/development/wxHexEditor/slack-desc
new file mode 100644
index 0000000000..16d085ca79
--- /dev/null
+++ b/development/wxHexEditor/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wxHexEditor: wxHexEditor (wxHexEditor is another Free Hex Editor)
+wxHexEditor:
+wxHexEditor:
+wxHexEditor: wxHexEditor is another Hex Editor, build because of there is no good
+wxHexEditor: hex editor for Linux system, specially for big files.
+wxHexEditor: It supports files up to 2^64 bytes. Written with C++/wxWidgets GUI libs
+wxHexEditor: and can be used with other OS'es such Windows, Mac OS
+wxHexEditor:
+wxHexEditor:
+wxHexEditor: Homepage: http://wxhexeditor.sourceforge.net/
+wxHexEditor:
diff --git a/development/wxHexEditor/wxHexEditor.SlackBuild b/development/wxHexEditor/wxHexEditor.SlackBuild
new file mode 100644
index 0000000000..2f7dffc378
--- /dev/null
+++ b/development/wxHexEditor/wxHexEditor.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for wxHexEditor
+
+# Written by Branko Grubic <branko.grubic@gmail.com>
+
+PRGNAM=wxHexEditor
+VERSION=${VERSION:-0.09}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-v$VERSION-src.tar.bz2
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/wxHexEditor/wxHexEditor.info b/development/wxHexEditor/wxHexEditor.info
new file mode 100644
index 0000000000..ae9492349b
--- /dev/null
+++ b/development/wxHexEditor/wxHexEditor.info
@@ -0,0 +1,10 @@
+PRGNAM="wxHexEditor"
+VERSION="0.09"
+HOMEPAGE="http://wxhexeditor.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/wxhexeditor/wxHexEditor-v0.09-src.tar.bz2"
+MD5SUM="237c56287abe769b937ea306b09483e7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Branko Grubic"
+EMAIL="branko.grubic@gmail.com"
+APPROVED="dsomero"